Subject: Support direct debit

Description: UK customers would find it a lot easier to pay by direct debit. This also has the advantages of:



* requiring the customer to take positive action to cancel as opposed to having to take positive action to pay.

* allowing BitFolk to take the correct amount without having to bother the customer.



Downsides:



* It's expensive for BitFolk to set up and run.

* Most DD agents seem to be very inflexible about payment periods. It's likely to be calendar monthly only.



http://www.firstcapitalcashflow.co.uk/ has been recommended in the past.

History

2010-08-10 01:09 - jupiter

Personally standing order does the job fine for me but I can see the benefit that direct debits provide in terms of allowing BitFolk to change the billing 

amount for those that regularly go into overusage.



I would have thought few people have an issue/can't pay with the system how it is currently, that could just be me though.

2012-11-25 05:48 - admin

Direct Debit payment is now implemented, using http://gocardless.com/



Both one-off payments and pre-authorisations (where BitFolk is allowed to take a certain amount per period, but can take less) are supported, and so 

the panel allows a pre-authorisation to be set up. Each time a recurring invoice is raised, if the customer has a DD pre-auth then it is used to pay the 

invoice.



This still needs more testing on live before I will really encourage customers to switch to it.



More info:



https://tools.bitfolk.com/wiki/Direct_Debit



Open questions:



h3. Should this be used for new customers?



The strong DD guarantee means that a new customer can get their VPS set up and then dispute the DD later on in order to get a full refund. I'm 

tending to think that this should still be allowed, as:



* It's not much different from PayPal anyway.

* They do have to commit actual fraud to do that, and go as far as supplying working bank account details including postal address associated with 

bank account.



This will need to be implemented.



h3. Should we allow yearly contracts to be paid in monthly installments?
Using DD to pay a yearly contract in monthly installments is common for things like utility bills. It would allow the customer to commit to remaining a 

customer without having to pay it all up front.



The problem here is that there's nothing stopping the customer from cancelling the pre-auth early, which can be done through either their online 

banking or through their GoCardless account without notifying BitFolk first. Legally speaking they have agreed to a yearly contract and are still liable to 

pay the remainder (by whatever method), but practically speaking that would leave BitFolk having to pursue them for that money. I suspect that neither 

GoCardless nor the customer's bank would be interested in forcing the customer to pay.



At least in the situation where they have paid for the year up front by DD, that money is in BitFolk's account and for the customer to dispute it and get it 

back would require them to make a formal complaint to their bank.



So at the moment I'm thinking that payment by installments is not going to happen, and up front payment for length of contract will remain the case.

2012-12-05 22:43 - admin

- Status changed from New to Closed

Seems to be working.
